﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.ComponentModel;
using System.Collections.Generic;

namespace SilverlightApplication9
{
    public class DemoDataViewModel :INotifyPropertyChanged
    {
        IList<DemoData> _data = null;

        public IList<DemoData> Data
        {
            get
            {
                if (_data == null)
                {
                    _data = new List<DemoData>();
                }
                return _data; 
            }
        }

        public DemoDataViewModel()
        {
            this.Data.Add(new DemoData());
        }

        public event PropertyChangedEventHandler PropertyChanged;

        protected virtual void RaisePropertyChangedEvent(params string[] propertyNames)
        {
            if (this.PropertyChanged != null)
            {
                foreach (string name in propertyNames)
                {
                    this.PropertyChanged(this, new PropertyChangedEventArgs(name));
                }
            }
        }

    }

    public class DemoData
    {
    }
}
